searchData={"items":[{"type":"module","title":"Sanity.Listen","doc":"For listening to changes using the [Sanity CMS listening API\nendpoint](https://www.sanity.io/docs/listening).\n\nThe streams returned by `listen!/2` and `listen_for_doc_changes!/2` must be iterated upon in the\nsame process that called the function. When this process exits then the underlying HTTPS\nconnection will be closed. The HTTPS connection will also be closed if the stream is halted. For\nexample, if `Enum.take/2` is called with the stream then the HTTPS connection will be closed after\nthe specified number of events have been received.","ref":"Sanity.Listen.html"},{"type":"function","title":"Sanity.Listen.get_draft_or_doc!/2","doc":"Returns `{doc, doc_conn}` where `doc` is the latest version, including drafts, of a document. `doc_conn`\ncan be passed to `listen_for_doc_changes!/1` to stream document updates.","ref":"Sanity.Listen.html#get_draft_or_doc!/2"},{"type":"function","title":"Sanity.Listen.listen!/2","doc":"Returns an endless `Stream` of `Sanity.Listen.Event` items.","ref":"Sanity.Listen.html#listen!/2"},{"type":"function","title":"Sanity.Listen.listen_for_doc_changes!/1","doc":"Returns an endless `Stream` that emits the latest version of a document. Call\n`get_draft_or_doc!/2` to get the `doc_conn` to be passed to this function. If a draft version of\nthe document exists then the draft will be emitted. Otherwise, the published version of the\ndocument will be emitted. If neither the draft not the published document exist then `nil` will be\nemitted.\n\nWhen the \"Publish\" or \"Unpublish\" actions are being performed in Sanity Studio then it is normal\nto temporarily have an outdated document or `nil` emitted. For example, consider the case where\nyou have a unpublished draft and the click the \"Publish\" button. Sanity Studio will delete the\ndraft document and create the published document. The order of these mutations is inconsistent and\nif draft is deleted before the published document is created then `nil` will be emitted briefly.","ref":"Sanity.Listen.html#listen_for_doc_changes!/1"},{"type":"module","title":"Sanity.Listen.Event","doc":"Sanity event. Contains `data`, `event`, and `id` fields. See [Sanity\ndocs](https://www.sanity.io/docs/listening) for a list of possible events.","ref":"Sanity.Listen.Event.html"},{"type":"extras","title":"Sanity.Listen","doc":"# Sanity.Listen\n\n**TODO: Add description**","ref":"readme.html"},{"type":"extras","title":"Installation - Sanity.Listen","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `sanity_listen` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:sanity_listen, \"~> 0.1.0\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#installation"}],"content_type":"text/markdown"}